summaryrefslogtreecommitdiffstats
path: root/integration/src/release_scripts/generateCommit.sh
diff options
context:
space:
mode:
Diffstat (limited to 'integration/src/release_scripts/generateCommit.sh')
-rwxr-xr-xintegration/src/release_scripts/generateCommit.sh8
1 files changed, 5 insertions, 3 deletions
diff --git a/integration/src/release_scripts/generateCommit.sh b/integration/src/release_scripts/generateCommit.sh
index 32775927..8c21c308 100755
--- a/integration/src/release_scripts/generateCommit.sh
+++ b/integration/src/release_scripts/generateCommit.sh
@@ -4,7 +4,7 @@
# ============LICENSE_START================================================
# ONAP
# =========================================================================
-# Copyright (C) 2021 Nordix Foundation.
+# Copyright (C) 2021-2022 Nordix Foundation.
# =========================================================================
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
@@ -20,6 +20,8 @@
# ============LICENSE_END==================================================
#
+set -e
+
SCRIPT_NAME=`basename $0`
repo_location="./"
@@ -137,10 +139,10 @@ then
commit_msg_temp_file=$(mktemp)
echo "$commit_header" > $commit_msg_temp_file
echo "" >> $commit_msg_temp_file
- echo "*** This commit is generated by a PF release script ***" >> $commit_msg_temp_file
- echo "" >> $commit_msg_temp_file
echo "$commit_message" >> $commit_msg_temp_file
echo "" >> $commit_msg_temp_file
+ echo "*** This commit is generated by a PF release script ***" >> $commit_msg_temp_file
+ echo "" >> $commit_msg_temp_file
echo "Issue-ID: $issue_id" >> $commit_msg_temp_file
git -C $repo_location/$specified_repo add .